#ifndef COMPUTERFACTORY_H_
#define COMPUTERFACTORY_H_

#include "Computer.h"

class ComputerFactory {
public:
	enum ComputerType {Portable=1, Standalone};

	ComputerFactory();
	virtual ~ComputerFactory();

	Computer* makeComputer(ComputerType type);
};

#endif /* COMPUTERFACTORY_H_ */
